API referenceHealth
Health History
Last updated
Fetch compact daily health history.
Path Parameters
date*string
Match
^\d{4}-\d{2}-\d{2}$Query Parameters
netuid?integer
Range
0 <= valuekind?string
Value in
- "archive"
- "dashboard"
- "data-artifact"
- "docs"
- "example"
- "openapi"
- "repo-registry"
- "sdk"
- "source-repo"
- "sse"
- "subnet-api"
- "subtensor-rpc"
- "subtensor-wss"
- "website"
provider?string
Length
length <= 100status?string
Value in
- "ok"
- "degraded"
- "failed"
- "unknown"
classification?string
Value in
- "auth-required"
- "content-mismatch"
- "dead"
- "live"
- "rate-limited"
- "redirected"
- "timeout"
- "transient"
- "unsupported"
- "unsafe"
- "wrong-chain"
fields?string
Match
^[A-Za-z_][A-Za-z0-9_]*(,[A-Za-z_][A-Za-z0-9_]*)*$limit?integer
Range
1 <= value <= 1000cursor?integer
Range
0 <= valuesort?string
Field to sort by — the bare field name only (e.g. sort=total_stake_tao). Pair with the separate order parameter to choose direction; a combined field:desc token is NOT supported.
Value in
- "classification"
- "kind"
- "last_checked"
- "last_ok"
- "latency_ms"
- "netuid"
- "provider"
- "status"
- "status_code"
- "surface_id"
- "verified_at"
order?unknown
Sort direction for sort: asc or desc (default desc). This is a separate parameter from sort — e.g. ?sort=emission_share&order=desc.
Value in
- "asc"
- "desc"
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/health/history/string"{ "data": { "contract_version": "2026-06-29.1", "date": "2026-06-01", "generated_at": "2026-06-01T00:00:00.000Z", "notes": "Example description.", "probe_finished_at": "2026-06-01T00:00:00.000Z", "probe_started_at": "2026-06-01T00:00:00.000Z", "schema_version": 1, "source": "live-cron-prober", "summary": { "classification_counts": {}, "status_counts": {}, "surface_count": 1 }, "surfaces": [ { "classification": "live", "error_class": "example", "kind": "archive", "last_checked": "2026-06-01T00:00:00.000Z", "last_ok": "2026-06-01T00:00:00.000Z", "latency_ms": 120, "netuid": 7, "provider": "example-provider", "status": "ok", "status_code": 1, "surface_id": "example", "verified_at": "2026-06-01T00:00:00.000Z" } ] }, "meta": { "artifact_path": "example", "cache": "short", "contract_version": "2026-06-29.1", "generated_at": "2026-06-01T00:00:00.000Z", "pagination": { "collection": "example", "cursor": 1, "limit": 1, "next_cursor": 1, "order": "asc", "returned": 1, "sort": "example", "total": 1 }, "published_at": "2026-06-01T00:00:00.000Z", "source": "live-cron-prober", "stale_contract": { "built_under": "example", "live": "example" } }, "ok": true, "schema_version": 1}